Subject: Bug#546 closed by Michael DePaulo <[email-masked]> (I should have marked this fixed a while ago)

From: [email-masked] (X2Go Bug Tracking System)
Date: Sun, 14 Dec 2014 17:25:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goclient package:

#546: Unable to create SSL tunnel: Global request tcpip-forward failed

It has been closed by Michael DePaulo <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Michael DePaulo <[email-masked]> by
replying to this email.

-- 
546: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=546
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: I should have marked this fixed a while ago
From: Michael DePaulo <[email-masked]>
To: [email-masked]
Date: Sun, 14 Dec 2014 12:22:27 -0500

Version: 4.0.2.1+hotfix1

Subject: Unable to create SSL tunnel: Global request tcpip-forward failed
From: Michael DePaulo <[email-masked]>
To: [email-masked]
Date: Fri, 11 Jul 2014 20:14:01 -0400

Package: x2goclient
Version: 4.0.2.1-pre05

On Windows, doing the following steps
1. Connect to a session.
2. Disconnect from the session (click the X)
3. Connect to the session again.

Causes the session to connect, but you receive both an error dialog
and a warning dialog with the following text:
Unable to create SSL tunnel:
Global request tcpip-forward failed

If you X out of or click OK to the error, nothing happens.
If you X out of or click OK to the warning, the session ends and you
get the message:
Title Bar: X2Go - 211
The connection with the remote server was shut down.
Please check the state of your network connection.

It is safe to assume that if I build x2goclient for windows from the
official source release of 4.0.2.1, it wold have this problem.

Most, if not all earlier 4.0.2.1 preview builds are affected too.